#include <HT32F125x.h>

// Key1	PB11
// D5	PB12

int main(void)
{
	HT_CKCU->APBCCR0 |= (1<<17);		// 17=PBEN, enable APB clocks for GPIOB
	HT_GPIOB->DIRCR &= ~(1<<11);		// PB11 defined as Input
	HT_GPIOB->INER |= (1<<11);		// PB11 input circuit enabled
	HT_GPIOB->DIRCR |= (1<<12);		// PB12 defined as Output
	HT_GPIOB->DOUTR |= (1<<12);		// PB12=1, LED off
	while(1){
		if(HT_GPIOB->DINR & (1<<11))	// read PB11 (Key1)
			HT_GPIOB->DOUTR |= (1<<12);	// write PB12=1, LED off
		else
			HT_GPIOB->DOUTR &= ~(1<<12);	// write PB12=0, LED on
	}
}
