#include <tmpm330.h>

/* Los ports de I/O de este micro son de 8-bits */

// Key	PH1
// LED	PI1
#define KEY	TSB_PH_DATA_PH1
#define LED	TSB_PI_DATA_PI1

int main(void)
{
	TSB_PH->CR &= ~(1<<1);		// PH1 defined as Input
	TSB_PH->PUP |= (1<<1);		// Enable pull-up in PH1
	TSB_PH->IE |= (1<<1);		// Enable input circuit in PH1
	TSB_PI->CR |= (1<<1);		// PI1 defined as Output
	TSB_PI->DATA |= (1<<1);		// LED off
	// var = TSB_PH->DATA & (1<<1);	// Read KEY
	while(1){
		if(KEY)			// read Key1
			LED = 1;	// write LED, off
		else
			LED = 0;	// write LED, on
	}
}
